Bug 484213 - zdiff /tmp/a.gz /tmp/b.gz shows no output
zdiff /tmp/a.gz /tmp/b.gz shows no output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 08:36 EST by Jakub Jelinek
Modified: 2009-03-25 12:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 10:50:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2009-02-05 08:36:07 EST
zdiff both in Fedora 7, 10 and rawhide is buggy, when both files are gzipped, it has correct exit status, but prints no output.
See http://bugs.debian.org/cgi-bin/pkgreport.cgi?package=434275
and zdiff.in.diff patch in recent debian packages.
--- gzip-1.3.12.orig/zdiff.in
+++ gzip-1.3.12/zdiff.in
@@ -104,7 +104,7 @@
                          exec 4>&1
                          (gzip -cdfq -- "$1" 4>&-; echo $? >&4) 3>&- |
                            ( (gzip -cdfq -- "$2" 4>&-; echo $? >&4) 3>&- 5<&- </dev/null |
-                              eval "$cmp" /dev/fd/5 -) 5<&0
+                              eval "$cmp" /dev/fd/5 - >&3) 5<&0
                        )
                        case $gzip_status in
                          *[1-9]*) gzip_status=1;;

Haven't checked RHEL whether the same bug exists there or not.
Comment 1 Ivana Varekova 2009-03-13 10:50:30 EDT
Thanks. For now fixed in gzip-1.3.12-9.fc11. f10 will be soon.
Comment 2 Fedora Update System 2009-03-16 07:39:39 EDT
gzip-1.3.12-8.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gzip-1.3.12-8.fc10
Comment 3 Fedora Update System 2009-03-25 12:09:59 EDT
gzip-1.3.12-8.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.